package;

import entity.ECloud;
import flixel.FlxG;
import flixel.FlxSprite;
import flixel.FlxState;
import flixel.system.debug.FlxDebugger.FlxDebuggerLayout;
import flixel.text.FlxText;
import flixel.ui.FlxButton;
import flixel.math.FlxMath;
import flixel.util.FlxColor;
import motion.Actuate;
import motion.easing.Bounce;

class MenuState extends FlxState
{
	override public function create():Void
	{
		super.create();
		
		FlxG.cameras.bgColor = 0xff79d2d2;
		FlxG.debugger.setLayout(FlxDebuggerLayout.MICRO);
		FlxG.debugger.toggleKeys = ["F12"];
		
		var logo:FlxSprite = new FlxSprite(FlxG.width / 2 - 160, -100, AssetPaths.logo__png);
		logo.angle = 40;
		
		add(new FlxSprite(0, 0, AssetPaths.bg__png));
		add(logo);
		add(new ECloud(AssetPaths.cloud__png));

		var btn:FlxButton = new FlxButton(FlxG.width / 2 - 26, -50, "Start Game", function(){FlxG.switchState(new PlayState()); });
		btn.label.color = C.BTN_LABEL_COLOR;
		btn.loadGraphic(AssetPaths.button__png, true, 64, 20);
		add(btn);

		Actuate.tween(logo, 1.5, { y: FlxG.height * 0.5 - logo.height, angle: 0 }).ease(Bounce.easeOut);
		Actuate.tween(btn, 1, { y: FlxG.height * 0.5 + 16 }).ease(Bounce.easeOut);
		
		// --------------------------
		// Help stuff
		var offset:Float = 180;
		
		var stripe:FlxSprite = new FlxSprite(-FlxG.width, FlxG.height * 0.5 - 32 + offset);
		stripe.makeGraphic(FlxG.width, 64, 0x99000000);
		add(stripe);
		
		var _sprHowTo1:FlxSprite = new FlxSprite( -100, FlxG.height * 0.5 - 32 + offset, AssetPaths.howtoplay1__png);
		var _sprHowTo2:FlxSprite = new FlxSprite( -100, FlxG.height * 0.5 - 32 + offset, AssetPaths.howtoplay2__png);
		add(_sprHowTo1);
		add(_sprHowTo2);

		var text:FlxSprite = new FlxSprite(-100, FlxG.height * 0.5 - 32 + offset, AssetPaths.q__png);
		text.alpha = 0.75;
		add(text);
		
		Actuate.tween(stripe, 2, { x: 0 }).ease(Bounce.easeOut);
		Actuate.tween(_sprHowTo1, 2, { x: FlxG.width / 2 - 64 }).delay(0.1).ease(Bounce.easeOut);
		Actuate.tween(_sprHowTo2, 2, { x: FlxG.width / 2 + 16 }).delay(0.2).ease(Bounce.easeOut);
		Actuate.tween(text, 2, { x: 16 }).delay(0.3).ease(Bounce.easeOut);
		
	}

	override public function update(elapsed:Float):Void
	{
		super.update(elapsed);
	}
}
