package entity;

import flixel.FlxG;
import flixel.math.FlxRandom;
import flixel.system.FlxAssets.FlxGraphicAsset;
import nape.phys.Material;
import openfl.display.Tileset;

/**
 * ...
 * @author lightsoda
 */
class EPlayer extends EBase
{
	var random:FlxRandom;
	var IsThrowing = false;

	public function new(X:Float=0, Y:Float=0, ?SimpleGraphic:FlxGraphicAsset, CreateRectangularBody:Bool=true, EnablePhysics:Bool=true) 
	{
		super(X, Y, SimpleGraphic, CreateRectangularBody, EnablePhysics);
		createRectangularBody(32, 32);
		body.setShapeMaterials(Material.rubber());
		loadGraphic(AssetPaths.player__png, true, 32, 32);
		animation.add("idle", [0, 1, 2, 3], 10);
		animation.add("throw", [4, 5, 6, 7], 10);
		random = new FlxRandom();
		animation.play("idle", false, false, random.int(0, 3));
	}
	
	override public function update(elapsed:Float):Void 
	{
		super.update(elapsed);
		
		if (IsThrowing && animation.frameIndex >= (animation.frames - 1)) {
			IsThrowing = false;
			animation.play("idle", false, false, random.int(0, 3));
		}
	}
	
	public function Throw()
	{
		IsThrowing = true;
		animation.play("throw");
	}
	
}