package entity;

import flixel.FlxG;
import flixel.addons.nape.FlxNapeSprite;
import flixel.math.FlxMath;
import flixel.system.FlxAssets.FlxGraphicAsset;
import nape.phys.Material;

/**
 * ...
 * @author lightsoda
 */
class ESpear extends FlxNapeSprite
{
	public function new(X:Float = 0, Y:Float = 0, ?SimpleGraphic:FlxGraphicAsset, force:Float, angle:Float = 0, CreateRectangularBody:Bool = true, EnablePhysics:Bool = true) 
	{
		super(X, Y, SimpleGraphic, CreateRectangularBody, EnablePhysics);
		
		body.angularVel = 0.5;
		body.setShapeMaterials(Material.wood());
		body.cbTypes.add(C.CB_SPEAR);
		
		force *= 5;
		force = C.clamp(force, 0, 1500);
		
		trace("Throwing spear at angle: " + angle + ", force:" + force);
		
		body.velocity.setxy(
				force * Math.cos(angle * 3.14 / 180),
				force * Math.sin(angle * 3.14 / 180));		
	}

	public function onCollision():Void
	{
		trace("Spear collide");
	}
	
}